Summary: Experimental HTTP/3 client, server and proxy
Name: nghttp3
Version: 1.3.0
Release: 1%{?dist}
License: MIT
URL: https://nghttp2.org/nghttp3/
Source0: https://github.com/ngtcp2/nghttp3/releases/download/v%{version}/nghttp3-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: cmake-rpm-macros
BuildRequires: gcc-c++

Requires: libnghttp3%{?_isa} = %{version}-%{release}

%description
This package contains the HTTP/3 client, server and proxy programs.


%package -n libnghttp3
Summary: A library implementing the HTTP/3 protocol

%description -n libnghttp3
libnghttp3 is a library implementing the Hypertext Transfer Protocol
version 2 (HTTP/3) protocol in C.


%package -n libnghttp3-devel
Summary: Files needed for building applications with libnghttp3
Requires: libnghttp3%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description -n libnghttp3-devel
The libnghttp3-devel package includes libraries and header files needed
for building applications with libnghttp3.


%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf %{buildroot}

%cmake_install

%files
%doc README.rst

%files -n libnghttp3
%{_libdir}/libnghttp3.so
%{_libdir}/libnghttp3.so.*
%{!?_licensedir:%global license %%doc}
%license COPYING

%files -n libnghttp3-devel
%{_includedir}/nghttp3
%{_libdir}/pkgconfig/libnghttp3.pc
%{_libdir}/libnghttp3.a


%changelog
* Fri Dec 09 2022 Zoran Peričić <zoran.pericic@infomaas.com> 0.7.1-1
- Update to 0.7.1

* Fri Dec 09 2022 Zoran Peričić <zoran.pericic@infomaas.com> 0.5.0-1
- Update to 0.5.0

* Thu Apr 28 2022 Zoran Peričić <zoran.pericic@infomaas.com> 0.4.0-1
- Update to 0.4.0

* Fri Apr 8 2022 Zoran Peričić <zoran.pericic@infomaas.com> 0.3.0-1
- Update to 0.3.0

* Tue Oct 19 2021 Zoran Peričić <zoran.pericic@infomaas.com> 0.1.0-1
- Initial build
